/****************************************************
	TORNADO-E2/6713 Demo Utility.
	Scan Data-bus test for C6713 DSP, rev.1A
	(C) MicroLAB Systems, 2007

	Notes:
	1. E2/6713 boards are assumed to be configured with HPI boot.
*****************************************************/

#define	__C6XXX_SELECT_C6713_DSP__			1
#include "c6xxx_def.h"

#define DMEM_START_PTR		C6XXX_CE0_AREA_SADDR

void init_cpu()
{
	*C6XXX_EMIF_GBLCTL_RG = 0x3f68;
	*C6XXX_EMIF_CECTL0_RG = 0xffffff23;
	*C6XXX_EMIF_CECTL1_RG = 0xffffff23;
	*C6XXX_EMIF_CECTL2_RG = 0xffffff23;
	*C6XXX_EMIF_CECTL3_RG = 0xffffff23;
}


void main()
{
	unsigned d, i;
	unsigned *ptr ;

	init_cpu();

	ptr = (unsigned *) DMEM_START_PTR;

	while(1)
	{
		for (d = 0x1, i = 0; i < 32; i++)
		{
			*ptr = d;
			if (i == 0)
				*ptr = d; /* perform double width for D0 synchronization */
			d = (d << 1);
		}
	}
}

