/****************************************************
	TORNADO-E2/6713 Demo Utility.
	Scan Address-bus test for C6713 DSP, rev.1A
	(C) MicroLAB Systems, 2007

	Notes:
	1. E2/6713 boards are assumed to be configured with HPI boot.
*****************************************************/

#define	__C6XXX_SELECT_C6713_DSP__			1
#include "c6xxx_def.h"

void init_cpu()
{
	*C6XXX_EMIF_GBLCTL_RG = 0x3f68;
	*C6XXX_EMIF_CECTL0_RG = 0xffffff23;
	*C6XXX_EMIF_CECTL1_RG = 0xffffff23;
	*C6XXX_EMIF_CECTL2_RG = 0xffffff23;
	*C6XXX_EMIF_CECTL3_RG = 0xffffff23;
}


void main()
{
	unsigned d;

	init_cpu();

	while(1)
	{
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 4));			/*EA2 */
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 4));			/*EA2 */
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 4));			/* provide EA2 SYNCHRO as triple-width*/

		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 8));			/*EA3 */
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x10));		/*EA4 */
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x20));		/*EA5 */
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x40));		/*EA6 */
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x80));		/*EA7 */
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x100));		/*EA8 */
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x200));		/*EA9*/
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x400));		/*EA10*/
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x800));		/*EA11*/
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x1000));	/*EA12*/
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x2000));	/*EA13*/
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x4000));	/*EA14*/
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x8000));	/*EA15*/
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x10000));	/*EA16*/
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x20000));	/*EA17*/
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x40000));	/*EA18*/
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x80000));	/*EA19*/
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x100000));	/*EA20*/
		d = *((unsigned *) (C6XXX_CE0_AREA_SADDR + 0x200000));	/*EA21*/

		*((char *) (C6XXX_CE0_AREA_SADDR + 0)) = 1;				/* test for BE-0..3 strobes */
		*((char *) (C6XXX_CE0_AREA_SADDR + 1)) = 2; 
		*((char *) (C6XXX_CE0_AREA_SADDR + 2)) = 4; 
		*((char *) (C6XXX_CE0_AREA_SADDR + 3)) = 8; 
	}
}

